package com.agri.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.agri.common.annotation.Excel;
import com.agri.common.core.domain.BaseEntity;

/**
 * dtu设备备注对象 sys_dtu_remark
 * 
 * @author lld
 * @date 2026-01-21
 */
@TableName("sys_dtu_remark")
public class SysDtuRemark extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备唯一标识(IMEI/DeviceId) */
    @Excel(name = "设备唯一标识(IMEI/DeviceId)")
    private String imei;

    /** 卷被开 */
    @Excel(name = "卷被开")
    private String jbk;

    /** 卷被关 */
    @Excel(name = "卷被关")
    private String jbg;

    /** 卷被开 */
    @Excel(name = "卷帘开")
    private String jlk;

    /** 卷被关 */
    @Excel(name = "卷帘关")
    private String jlg;

    /** 卷膜1开 */
    @Excel(name = "卷膜1开")
    private String jm1k;

    /** 卷膜1关 */
    @Excel(name = "卷膜1关")
    private String jm1g;

    /** 卷膜2开 */
    @Excel(name = "卷膜2开")
    private String jm2k;

    /** 卷膜2关 */
    @Excel(name = "卷膜2关")
    private String jm2g;

    /** 卷膜3开 */
    @Excel(name = "卷膜3开")
    private String jm3k;

    /** 卷膜3关 */
    @Excel(name = "卷膜3关")
    private String jm3g;

    /** 温度1(℃) */
    @Excel(name = "温度1(℃)")
    private String temp1;

    /** 湿度1(%RH) */
    @Excel(name = "湿度1(%RH)")
    private String humi1;

    /** 温度2(℃) */
    @Excel(name = "温度2(℃)")
    private String temp2;

    /** 湿度2(%RH) */
    @Excel(name = "湿度2(%RH)")
    private String humi2;

    /** 温度3(℃) */
    @Excel(name = "温度3(℃)")
    private String temp3;

    /** 湿度3(%RH) */
    @Excel(name = "湿度3(%RH)")
    private String humi3;

    /** 温度4(℃) */
    @Excel(name = "温度4(℃)")
    private String temp4;

    /** 湿度4(%RH) */
    @Excel(name = "湿度4(%RH)")
    private String humi4;

    /** 数据版本号（乐观锁） */
    @Excel(name = "数据版本号", readConverterExp = "乐=观锁")
    @Version
    private String version;

    /** 扩展备注（JSON格式，存储临时/自定义配置） */
    private String extJson;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setImei(String imei) 
    {
        this.imei = imei;
    }

    public String getImei() 
    {
        return imei;
    }

    public void setJbk(String jbk) 
    {
        this.jbk = jbk;
    }

    public String getJbk() 
    {
        return jbk;
    }

    public void setJbg(String jbg) 
    {
        this.jbg = jbg;
    }

    public String getJbg() 
    {
        return jbg;
    }

    public void setJm1k(String jm1k) 
    {
        this.jm1k = jm1k;
    }

    public String getJm1k() 
    {
        return jm1k;
    }

    public void setJm1g(String jm1g) 
    {
        this.jm1g = jm1g;
    }

    public String getJm1g() 
    {
        return jm1g;
    }

    public void setJm2k(String jm2k) 
    {
        this.jm2k = jm2k;
    }

    public String getJm2k() 
    {
        return jm2k;
    }

    public void setJm2g(String jm2g) 
    {
        this.jm2g = jm2g;
    }

    public String getJm2g() 
    {
        return jm2g;
    }

    public void setJm3k(String jm3k) 
    {
        this.jm3k = jm3k;
    }

    public String getJm3k() 
    {
        return jm3k;
    }

    public void setJm3g(String jm3g) 
    {
        this.jm3g = jm3g;
    }

    public String getJm3g() 
    {
        return jm3g;
    }

    public void setTemp1(String temp1) 
    {
        this.temp1 = temp1;
    }

    public String getTemp1() 
    {
        return temp1;
    }

    public void setHumi1(String humi1) 
    {
        this.humi1 = humi1;
    }

    public String getHumi1() 
    {
        return humi1;
    }

    public void setTemp2(String temp2) 
    {
        this.temp2 = temp2;
    }

    public String getTemp2() 
    {
        return temp2;
    }

    public void setHumi2(String humi2) 
    {
        this.humi2 = humi2;
    }

    public String getHumi2() 
    {
        return humi2;
    }

    public void setTemp3(String temp3) 
    {
        this.temp3 = temp3;
    }

    public String getTemp3() 
    {
        return temp3;
    }

    public void setHumi3(String humi3) 
    {
        this.humi3 = humi3;
    }

    public String getHumi3() 
    {
        return humi3;
    }

    public void setTemp4(String temp4) 
    {
        this.temp4 = temp4;
    }

    public String getTemp4() 
    {
        return temp4;
    }

    public void setHumi4(String humi4) 
    {
        this.humi4 = humi4;
    }

    public String getHumi4() 
    {
        return humi4;
    }

    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    public void setExtJson(String extJson) 
    {
        this.extJson = extJson;
    }

    public String getExtJson() 
    {
        return extJson;
    }

    public String getJlk() {
        return jlk;
    }

    public void setJlk(String jlk) {
        this.jlk = jlk;
    }

    public String getJlg() {
        return jlg;
    }

    public void setJlg(String jlg) {
        this.jlg = jlg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imei", getImei())
            .append("jlk", getJlk())
            .append("jlg", getJlg())
            .append("jbk", getJbk())
            .append("jbg", getJbg())
            .append("jm1k", getJm1k())
            .append("jm1g", getJm1g())
            .append("jm2k", getJm2k())
            .append("jm2g", getJm2g())
            .append("jm3k", getJm3k())
            .append("jm3g", getJm3g())
            .append("temp1", getTemp1())
            .append("humi1", getHumi1())
            .append("temp2", getTemp2())
            .append("humi2", getHumi2())
            .append("temp3", getTemp3())
            .append("humi3", getHumi3())
            .append("temp4", getTemp4())
            .append("humi4", getHumi4())
            .append("version", getVersion())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("extJson", getExtJson())
            .toString();
    }
}
